%define debug_package %{nil}

Summary:      Gluster Exporter for Prometheus
Name:         gluster_exporter
Version:      0.2.7
Release:      2%{?dist}
License:      ASL 2.0
URL:          https://github.com/ofesseler/gluster_exporter
Source0:      %{url}/archive/v%{version}.tar.gz
Source1:      vendor.tar.gz
# cd %%{name}-%%{version}
# create go.mod: go mod init
# create go.sum: go mod tidy
Source2:      go.mod
Source3:      go.sum

BuildRequires: golang promu

Conflicts: gluster_exporter
Provides:  %{name} = %{version}

%description
Gluster exporter for Prometheus

%prep
%autosetup -n %{name}-%{version} -a1
cp %{SOURCE2} ./
cp %{SOURCE3} ./

%build
cd %{_builddir}
rm -rf src/github.com/ofesseler/gluster_exporter
mkdir -p src/github.com/ofesseler/gluster_exporter
mv %{name}-%{version}/.promu.yml src/github.com/ofesseler/gluster_exporter
mv %{name}-%{version}/* src/github.com/ofesseler/gluster_exporter
export GOPATH=%{_builddir}
cd src/github.com/ofesseler/gluster_exporter
GO111MOD=off make build
mv %{_builddir}/src/github.com/ofesseler/gluster_exporter/gluster_exporter %{_builddir}/%{name}-%{version}

%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/gluster_exporter

%files
%defattr(-,root,root,-)
%{_bindir}/gluster_exporter

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.7-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Miaojun Dong <zoedong@tencent.com> - 0.2.7-1
- initial build
